{% extends 'base.html.twig' %}

{% block body %}
    <link rel="stylesheet" href="https://mottie.github.io/tablesorter/docs/css/jquery-ui.min.css">
    <script src="https://mottie.github.io/tablesorter/docs/js/jquery-ui.min.js"></script>
    <link rel="stylesheet" href="https://mottie.github.io/tablesorter/docs/css/jq.css">
    <link rel="stylesheet" href="https://mottie.github.io/tablesorter/docs/css/prettify.css">
    <script src="https://mottie.github.io/tablesorter/docs/js/prettify.js"></script>
    <script src="https://mottie.github.io/tablesorter/docs/js/docs.js"></script>
    <style>/* override the vertical-align top in the blue theme */.notes.tablesorter-blue tbody td { vertical-align: middle; }</style>
    <link rel="stylesheet" href="https://mottie.github.io/tablesorter/css/theme.blue.css">
    <script src="https://mottie.github.io/tablesorter/js/jquery.tablesorter.js"></script>
    <script src="https://mottie.github.io/tablesorter/js/widgets/widget-storage.js"></script>
    <script src="https://mottie.github.io/tablesorter/js/widgets/widget-filter.js"></script>
    <script src="https://mottie.github.io/tablesorter/addons/pager/jquery.tablesorter.pager.js"></script>
    <script src="https://mottie.github.io/tablesorter/beta-testing/pager-custom-controls.js"></script>
    <link rel="stylesheet" href="https://mottie.github.io/tablesorter/addons/pager/jquery.tablesorter.pager.css">
{% if list is not null and list is not empty %}   
    <div id="main" >
        <div id="demo">     
            <table id="table" class="tablesorter">
                <thead>
                    <th class="colTitle">Título</th>
                    <th class="colTitle">Autor</th>
                    <th class="colTitle">Año</th>
                    <th class="colTitle">ISBN</th>
                    <th class="colTitle filter-false">Actualizar</th>
                    <th class="colTitle filter-false">Ver</th>
                    <th class="colTitle filter-false">Borrar</th>
                </thead>
                <tbody>
                    {% for item in list %}
                    <tr>
                        <td>{{item.title}}</td>
                        <td>{{item.author}}</td>
                        <td>{{item.year}}</td>
                        <td>{{item.isbn}}</td>
                        <td><i id="edit" valor="{{item.id}}" class="glyphicon glyphicon-edit"></i></td>
                        <td><i id="view" valor="{{item.id}}" class="glyphicon glyphicon-eye-open"></i></td>
                        <td><i id="delete" valor="{{item.id}}" class="glyphicon glyphicon-erase"></i></td>
                    </tr>
                    {% endfor %}
                </tbody>
                <tfoot>
                    <tr>
                        <td colspan="7">
                            <div class="pager">
                                <nav class="left">
                                        # per page:
                                    <a href="#" class="current">10</a> |
                                    <a href="#">25</a> |
                                    <a href="#">50</a> |
                                    <a href="#">100</a>
                                </nav>
                                <nav class="right">
                                    <span class="prev">
                                        <img src="{{ asset('assets/imgs/prev.png') }}" /> Prev&nbsp;
                                    </span>
                                    <span class="pagecount">
                                    </span>
                                    &nbsp;
                                    <span class="next">Next
                                        <img src="{{ asset('assets/imgs/next.png') }}" />
                                    </span>
                                </nav>
                            </div>
                        </td>
                    </tr>
                </tfoot>
            </table>
        </div>
    </div>
{#                                <a href="/edit/{{item.id}}">#}
    <button type="button" class="reset">Limpiar Filtros</button>                       
{% else %}
    <div class="col_lg-6 col-lg-offset-6">
        <div id="noData">
            <h1 class="text-danger">No hay datos para mostrar</h1>
        </div>
    </div>
{% endif %}
<button type="button" id="backToMain">Volver</button>
{% endblock %}
{% block javascripts %}
    <script>
        $(document).ready(function(){
            $('#edit').on('click',function(){
                location.replace(location.origin+'/edit/'+$(this).attr("valor"));
            });
            $('#view').on('click',function(){
                location.replace(location.origin+'/view/'+$(this).attr("valor"));
            });
            $('#delete').on('click',function(){
                var r = confirm("Borrar?");
                console.log(r);
                if(r===true){
                    location.replace(location.origin+'/delete/'+$(this).attr("valor"));
                }
            });
        });
        $('#backToMain').on('click',function(){
            location.replace(location.origin);
        });
           
    </script>
    <script id="js">
    $(function() {
	// call the tablesorter plugin
	$("#table").tablesorter({
		theme: 'blue',

		// hidden filter input/selects will resize the columns, so try to minimize the change
		widthFixed : true,

		// initialize zebra striping and filter widgets
		widgets: ["zebra","columns", "filter"],

		ignoreCase: false,

		widgetOptions : {

			// filter_anyMatch options was removed in v2.15; it has been replaced by the filter_external option

			// If there are child rows in the table (rows with class name from "cssChildRow" option)
			// and this option is true and a match is found anywhere in the child row, then it will make that row
			// visible; default is false
			filter_childRows : false,

			// if true, filter child row content by column; filter_childRows must also be true
			filter_childByColumn : false,

			// if true, include matching child row siblings
			filter_childWithSibs : true,

			// if true, a filter will be added to the top of each table column;
			// disabled by using -> headers: { 1: { filter: false } } OR add class="filter-false"
			// if you set this to false, make sure you perform a search using the second method below
			filter_columnFilters : true,

			// if true, allows using "#:{query}" in AnyMatch searches (column:query; added v2.20.0)
			filter_columnAnyMatch: true,

			// extra css class name (string or array) added to the filter element (input or select)
			filter_cellFilter : '',

			// extra css class name(s) applied to the table row containing the filters & the inputs within that row
			// this option can either be a string (class applied to all filters) or an array (class applied to indexed filter)
			filter_cssFilter : '', // or []

			// add a default column filter type "~{query}" to make fuzzy searches default;
			// "{q1} AND {q2}" to make all searches use a logical AND.
			filter_defaultFilter : {},

			// filters to exclude, per column
			filter_excludeFilter : {},

			// jQuery selector (or object) pointing to an input to be used to match the contents of any column
			// please refer to the filter-any-match demo for limitations - new in v2.15
			filter_external : '',

			// class added to filtered rows (rows that are not showing); needed by pager plugin
			filter_filteredRow : 'filtered',

			// ARIA-label added to filter input/select; {#{{label}}#} is replaced by the column header
			// "data-label" attribute, if it exists, or it uses the column header text
			filter_filterLabel : 'Filter "{#{{label}}#}" column by...',

			// add custom filter elements to the filter row
			// see the filter formatter demos for more specifics
			filter_formatter : null,

			// add custom filter functions using this option
			// see the filter widget custom demo for more specifics on how to use this option
			filter_functions : null,

			// hide filter row when table is empty
			filter_hideEmpty : true,

			// if true, filters are collapsed initially, but can be revealed by hovering over the grey bar immediately
			// below the header row. Additionally, tabbing through the document will open the filter row when an input gets focus
			// in v2.26.6, this option will also accept a function
			filter_hideFilters : true,

			// Set this option to false to make the searches case sensitive
			filter_ignoreCase : true,

			// if true, search column content while the user types (with a delay).
			// In v2.27.3, this option can contain an
			// object with column indexes or classnames; "fallback" is used
			// for undefined columns
			filter_liveSearch : true,

			// global query settings ('exact' or 'match'); overridden by "filter-match" or "filter-exact" class
			filter_matchType : { 'input': 'exact', 'select': 'exact' },

			// a header with a select dropdown & this class name will only show available (visible) options within that drop down.
			filter_onlyAvail : 'filter-onlyAvail',

			// default placeholder text (overridden by any header "data-placeholder" setting)
			filter_placeholder : { search : '', select : '' },

			// jQuery selector string of an element used to reset the filters
			filter_reset : 'button.reset',

			// Reset filter input when the user presses escape - normalized across browsers
			filter_resetOnEsc : true,

			// Use the $.tablesorter.storage utility to save the most recent filters (default setting is false)
			filter_saveFilters : true,

			// Delay in milliseconds before the filter widget starts searching; This option prevents searching for
			// every character while typing and should make searching large tables faster.
			filter_searchDelay : 300,

			// allow searching through already filtered rows in special circumstances; will speed up searching in large tables if true
			filter_searchFiltered: true,

			// include a function to return an array of values to be added to the column filter select
			filter_selectSource  : null,

			// if true, server-side filtering should be performed because client-side filtering will be disabled, but
			// the ui and events will still be used.
			filter_serversideFiltering : false,

			// Set this option to true to use the filter to find text from the start of the column
			// So typing in "a" will find "albert" but not "frank", both have a's; default is false
			filter_startsWith : false,

			// Filter using parsed content for ALL columns
			// be careful on using this on date columns as the date is parsed and stored as time in seconds
			filter_useParsedData : false,

			// data attribute in the header cell that contains the default filter value
			filter_defaultAttrib : 'data-value',

			// filter_selectSource array text left of the separator is added to the option value, right into the option text
			filter_selectSourceSeparator : '|'
		}
	});
        // initialize tablesorter & pager
        $.tablesorter.customPagerControls({
		table          : "#table",                   // point at correct table (string or jQuery object)
		pager          : ".pager",                   // pager wrapper (string or jQuery object)
		pageSize       : '.left a',                // container for page sizes
		currentPage    : '.right a',               // container for page selectors
		ends           : 2,                        // number of pages to show of either end
		aroundCurrent  : 1,                        // number of pages surrounding the current page
		link           : '<a href="#">{page}</a>', // page element; use {page} to include the page number
		currentClass   : 'current',                // current page class name
		adjacentSpacer : '<span> | </span>',       // spacer for page numbers next to each other
		distanceSpacer : '<span> &#133; <span>',   // spacer for page numbers away from each other (ellipsis = &amp;#133;)
		addKeyboard    : true,                     // use left,right,up,down,pageUp,pageDown,home, or end to change current page
		pageKeyStep    : 10                        // page step to use for pageUp and pageDown
	});
        $("#table").tablesorter().tablesorterPager({
                        // target the pager markup - see the HTML block below
                        container: '.pager',
                        size: 10,
                        output: 'showing: {startRow} to {endRow} ({filteredRows})'
                });
});</script>
<script>
    $(function() {
	// *** widgetfilter_startsWith toggle button ***
	$('button.toggle').click(function() {
		var c = $('#table')[0].config,
		$t = $(this),
		// toggle the boolean
		fsw = !c.widgetOptions.filter_startsWith,
		fic = !c.widgetOptions.filter_ignoreCase;
		if ($t.hasClass('fsw')) {
			c.widgetOptions.filter_startsWith = fsw;
			$('#start').html(fsw.toString());
		} else if ($t.hasClass('fic')) {
			c.widgetOptions.filter_ignoreCase = fic;
			$('#case').html(fic.toString());
		} else {
			$t = c.$headers.eq(1).toggleClass('filter-match');
			$t.find('span').html( $t.hasClass('filter-match') ? '' : ' No' );
		}
		// update search after option change; add false to trigger to skip search delay
		c.$table.trigger('search', false);
		return false;
	});
});
</script>
{% endblock %}

{% block stylesheets %}
<style>
    body.tablesorter-disableSelection { 
        -ms-user-select: none; 
        -moz-user-select: -moz-none;
        -khtml-user-select: none; 
        -webkit-user-select: none; 
        user-select: none; 
    }
    .tablesorter-resizable-container { 
        position: relative; 
        height: 1px; 
    }
    .tablesorter-resizable-handle { 
        position: absolute; 
        display: inline-block; 
        width: 8px;
        top: 1px; 
        cursor: ew-resize; 
        z-index: 3; 
        user-select: none; 
        -moz-user-select: none; 
    }
    .left { float: left; }
    .right {
            float: right;
            -webkit-user-select: none;
            -moz-user-select: none;
            -khtml-user-select: none;
            -ms-user-select: none;
    }
    .pager .prev, .pager .next, .pagecount { 
        cursor: pointer; 
    }
    .pager a {
            text-decoration: none;
            color: black;
    }
    .pager a.current {
            color: #0080ff;
    }
</style>

{% endblock %}
